$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.127.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.127.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D1A9462C2619108981A8CE9DC65027C198618CEEAA37D4220CAE3AE52C00A581'
  checksumType = 'sha256'
  checksum64 = 'D1A9462C2619108981A8CE9DC65027C198618CEEAA37D4220CAE3AE52C00A581'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.127-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
